package com.org.hktshop.service.hotking;

import com.org.hktshop.entity.hotking.BomOrder;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author owen
 */
public interface BomOrderService {
    /**
     * 匹配bom信息
     * @param maps
     * @return
     */
    List<Map<String, Object>> selectBomList(List<Map> maps);
    /**
     * 文件匹配bom信息
     * @param file
     * @return
     */
    Object importBomExcel(MultipartFile file, String language) throws Exception;


    /**
     * 保存bom单
     * @param bomOrder
     * @throws Exception
     */
    BomOrder saveBomOrder(BomOrder bomOrder);

    /**
     * bom单列表
     * @param bomOrder
     * @return
     */
    Object queryBomOrderPage(BomOrder bomOrder);

    /**
     * 删除bom单
     * @param bomOrder
     */
    void delBomOrder(BomOrder bomOrder);

    /**
     * 订单详情
     * @param bomOrder
     * @return
     */
    Object findBomOrder(BomOrder bomOrder);

    /**
     * 根据数量获取价格
     * @param map
     * @return
     */
    Object getDealPriceByCount(Map<String, String> map);

    /**
     * bom列表后台
     * @param bomOrder
     * @return
     */
    Object selectBomOrderPage(BomOrder bomOrder);


    /**
     * 根据bomid查询BOM订单信息
     * @param bomId
     * @return
     */
    BomOrder findBomOrderByUUid(String bomId);

    /**
     * 修改BOM单信息
     * @param bomOrder
     */
    void updateBomOrder(BomOrder bomOrder);

    /**
     * 配单
     * @param bi
     *
     */
    void distribution(BomOrder bi);

    /**
     * 查找bom单详情
     * @param id
     * @return
     */
    BomOrder findBomOrderById(String id);
}
